<?php
/**
 *
 * Blockpattern.php
 *
 * Resister block pattern
 *
 * @category   Components
 * @package    WordPress
 * @subpackage FullSite-Patterner
 */

defined( 'ABSPATH' ) || exit;

/** Register category of block pattern */
function fullsite_patterner_block_pattern_category() {

	register_block_pattern_category( 'fullsite-patterner/header', array( 'label' => __( 'header', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/footer', array( 'label' => __( 'footer', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/menu', array( 'label' => __( 'menu', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/grid', array( 'label' => __( 'grid', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/box', array( 'label' => __( 'box', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/carousel', array( 'label' => __( 'carousel', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/slider', array( 'label' => __( 'slider', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/alert', array( 'label' => __( 'alert', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/card', array( 'label' => __( 'card', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/button', array( 'label' => __( 'button', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/navigation', array( 'label' => __( 'navigation', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/accordion', array( 'label' => __( 'accordion', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/dropdown', array( 'label' => __( 'dropdown', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/popover', array( 'label' => __( 'popover', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/table', array( 'label' => __( 'table', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/icon', array( 'label' => __( 'icon', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/font', array( 'label' => __( 'font', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/form', array( 'label' => __( 'form', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/query', array( 'label' => __( 'query', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/tool', array( 'label' => __( 'tool', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/1-carousel-frame', array( 'label' => __( '1column-carousel-frame', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/1-carousel-noframe', array( 'label' => __( '1column-carousel-noframe', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/1-mainvisual-frame', array( 'label' => __( '1column-mainvisual-frame', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/1-mainvisual-noframe', array( 'label' => __( '1column-mainvisual-noframe', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/1-mainimg-frame', array( 'label' => __( '1column-mainimg-frame', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/1-mainimg-noframe', array( 'label' => __( '1column-mainimg-noframe', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/1-frame-backimg', array( 'label' => __( '1column-frame-backimg', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/1-frame-noimg', array( 'label' => __( '1column-frame-noimg', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/1-noframe-backimg', array( 'label' => __( '1column-noframe-backimg', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/1-noframe-noimg', array( 'label' => __( '1column-noframe-noimg', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/2r-frame-backimg', array( 'label' => __( '2column-R-frame-backimg', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/2r-frame-noimg', array( 'label' => __( '2column-R-frame-noimg', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/2r-noframe-backimg', array( 'label' => __( '2column-R-noframe-backimg', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/2r-noframe-noimg', array( 'label' => __( '2column-R-noframe-noimg', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/2l-frame-backimg', array( 'label' => __( '2column-L-frame-backimg', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/2l-frame-noimg', array( 'label' => __( '2column-L-frame-noimg', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/2l-noframe-backimg', array( 'label' => __( '2column-L-noframe-backimg', 'fullsite-patterner' ) ) );
	register_block_pattern_category( 'fullsite-patterner/2l-noframe-noimg', array( 'label' => __( '2column-L-noframe-noimg', 'fullsite-patterner' ) ) );
}
add_action( 'init', 'fullsite_patterner_block_pattern_category' );
